com.aispeech.dui.dds.auth

## Class AuthInfo

- java.lang.Object
- - com.aispeech.dui.dds.auth.AuthInfo

-     public class AuthInfo
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthInfo()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthCode()`
    `java.lang.String` | `getClientId()`
    `java.lang.String` | `getCodeVerifier()`
    `static java.lang.String` | `getDefaultRedirecturi()`
    `java.lang.String` | `getRedirectUri()`
    `java.lang.String` | `getUserId()`
    `void` | `setAuthCode(java.lang.String authCode)`
    `void` | `setClientId(java.lang.String clientId)`
    `void` | `setCodeVerifier(java.lang.String codeVerifier)`
    `void` | `setRedirectUri(java.lang.String redirectUri)`
    `void` | `setUserId(java.lang.String userId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthInfo

          public AuthInfo()

  - ### Method Detail

    - #### getClientId

          public java.lang.String getClientId()

    - #### getAuthCode

          public java.lang.String getAuthCode()

    - #### getCodeVerifier

          public java.lang.String getCodeVerifier()

    - #### getDefaultRedirecturi

          public static java.lang.String getDefaultRedirecturi()

    - #### getUserId

          public java.lang.String getUserId()

    - #### getRedirectUri

          public java.lang.String getRedirectUri()

    - #### setAuthCode

          public void setAuthCode(java.lang.String authCode)

    - #### setClientId

          public void setClientId(java.lang.String clientId)

    - #### setCodeVerifier

          public void setCodeVerifier(java.lang.String codeVerifier)

    - #### setUserId

          public void setUserId(java.lang.String userId)

    - #### setRedirectUri

          public void setRedirectUri(java.lang.String redirectUri)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`